Skip to main content
POST
/
api
/
v1
/
social-account
/
connect
Connect social account for team
curl --request POST \
  --url https://api.bundle.social/api/v1/social-account/connect \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "teamId": "<string>",
  "redirectUrl": "<string>",
  "serverUrl": "<string>",
  "disableAutoLogin": false,
  "tiktokForceLogin": false,
  "forceBrowserOAuth": false,
  "withBusinessScope": false
}
'
import requests

url = "https://api.bundle.social/api/v1/social-account/connect"

payload = {
"teamId": "<string>",
"redirectUrl": "<string>",
"serverUrl": "<string>",
"disableAutoLogin": False,
"tiktokForceLogin": False,
"forceBrowserOAuth": False,
"withBusinessScope": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
redirectUrl: '<string>',
serverUrl: '<string>',
disableAutoLogin: false,
tiktokForceLogin: false,
forceBrowserOAuth: false,
withBusinessScope: false
})
};

fetch('https://api.bundle.social/api/v1/social-account/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>"
}
{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}

Authorizations

x-api-key
string
header
required

Body

application/json

Body

type
enum<string>
required
Available options:
TIKTOK,
YOUTUBE,
INSTAGRAM,
FACEBOOK,
TWITTER,
THREADS,
LINKEDIN,
PINTEREST,
REDDIT,
MASTODON,
DISCORD,
SLACK,
BLUESKY,
GOOGLE_BUSINESS,
SNAPCHAT
teamId
string
required
redirectUrl
string<uri>
required

Client-provided return URL. After the OAuth flow completes (success or error), the user will be redirected here with success/error query params appended. Must be a well-formed http/https URL.

serverUrl
string<uri>

Mastodon or Bluesky only

disableAutoLogin
boolean
default:false

Optional. When true, adds provider-specific flags to avoid automatic login/auto-approval where supported.

tiktokForceLogin
boolean
default:false

Optional and experimental. TikTok only. When true, routes authorization through TikTok logout to request a fresh login session.

forceBrowserOAuth
boolean
default:false

Optional. Instagram only. When true, direct Instagram connections on phones will try to force browser login to avoid the Instagram iOS app deep-link bug.

instagramConnectionMethod
enum<string>

Instagram only - connection method

Available options:
FACEBOOK,
INSTAGRAM
withBusinessScope
boolean
default:false

Facebook and Instagram only - include business_management, ads_management, ads_read scopes

Response

200

url
string
required

OAuth URL - Redirect user to this URL to connect social account